------------
-- Hunter --
------------
if (not Watcher) then
	return;
end

if (string.upper(select(2,  UnitClass('player'))) ~=  string.upper('Hunter')) then
	return;
end


Watcher.defaults.class.Hunter = {
   ["priorityLists"] = {
      [1] = {
         ["name"] = "Beast Mastery";
         ["spellConditions"] = {
            [13] = {
               ["spellId"] = 77767;
               ["filterSetId"] = 17;
            };
            [7] = {
               ["spellId"] = 82692;
               ["filterSetId"] = 36;
            };
            [1] = {
               ["spellId"] = 121818;
               ["filterSetId"] = 39;
            };
            [2] = {
               ["spellId"] = 121818;
               ["filterSetId"] = 38;
            };
            [4] = {
               ["spellId"] = 53351;
               ["filterSetId"] = 16;
            };
            [8] = {
               ["spellId"] = 117050;
               ["filterSetId"] = 30;
            };
            [9] = {
               ["spellId"] = 120679;
               ["filterSetId"] = 34;
            };
            [5] = {
               ["spellId"] = 19574;
               ["filterSetId"] = 27;
            };
            [10] = {
               ["spellId"] = 120697;
               ["filterSetId"] = 33;
            };
            [11] = {
               ["spellId"] = 121818;
               ["filterSetId"] = 11;
            };
            [6] = {
               ["spellId"] = 34026;
               ["filterSetId"] = 29;
            };
            [12] = {
               ["spellId"] = 3044;
               ["filterSetId"] = 28;
            };
         };
         ["filters"] = {
            [1] = {
               ["filterType"] = "spec";
               ["specNum"] = 1;
            };
         };
      };
      [2] = {
         ["spellConditions"] = {};
         ["name"] = "Marksmanship";
         ["filters"] = {
            [1] = {
               ["filterType"] = "spec";
               ["specNum"] = 2;
            };
         };
      };
      [3] = {
         ["spellConditions"] = {
            [7] = {
               ["spellId"] = 117050;
               ["filterSetId"] = 30;
            };
            [1] = {
               ["spellId"] = 121818;
               ["filterSetId"] = 38;
            };
            [2] = {
               ["spellId"] = 121818;
               ["filterSetId"] = 39;
            };
            [4] = {
               ["spellId"] = 53301;
               ["filterSetId"] = 12;
            };
            [8] = {
               ["spellId"] = 3044;
               ["filterSetId"] = 37;
            };
            [9] = {
               ["spellId"] = 120697;
               ["filterSetId"] = 33;
            };
            [5] = {
               ["spellId"] = 53351;
               ["filterSetId"] = 16;
            };
            [10] = {
               ["spellId"] = 120679;
               ["filterSetId"] = 34;
            };
            [11] = {
               ["spellId"] = 3044;
               ["filterSetId"] = 28;
            };
            [6] = {
               ["spellId"] = 3674;
               ["filterSetId"] = 1;
            };
            [12] = {
               ["spellId"] = 77767;
               ["filterSetId"] = 17;
            };
         };
         ["name"] = "Survival";
         ["filters"] = {
            [1] = {
               ["filterType"] = "spec";
               ["specNum"] = 3;
            };
         };
      };
   };
   ["spells"] = {
      [34026] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [29] = true;
         };
      };
      [1978] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [3] = true;
            [9] = true;
            [26] = true;
         };
      };
      [82692] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [35] = true;
            [36] = true;
         };
      };
      [19574] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [27] = true;
         };
      };
      [77767] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [17] = true;
         };
      };
      [117050] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [30] = true;
            [31] = true;
            [23] = true;
            [32] = true;
         };
      };
      [120679] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [18] = true;
            [34] = true;
         };
      };
      [53351] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [16] = true;
         };
      };
      [109215] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [20] = true;
         };
      };
      [109248] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [21] = true;
         };
      };
      [3674] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "d";
         };
         ["filterSetIds"] = {
            [1] = true;
         };
      };
      [131894] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [25] = true;
         };
      };
      [120697] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [19] = true;
            [33] = true;
         };
      };
      [82726] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [24] = true;
         };
      };
      [53301] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [12] = true;
         };
      };
      [121818] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [11] = true;
            [39] = true;
            [38] = true;
         };
      };
      [3044] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [14] = true;
            [28] = true;
            [37] = true;
         };
      };
      [120360] = {
         ["settings"] = {
            ["keepEnoughResources"] = false;
            ["label"] = "bob";
         };
         ["filterSetIds"] = {
            [22] = true;
         };
      };
   };
   ["filterSets"] = {
      [27] = {
         ["name"] = "Usable";
         ["spellId"] = 19574;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [2] = {
         ["name"] = "Usable";
         ["spellId"] = 120360;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [38] = {
         ["name"] = "Procs";
         ["spellId"] = 121818;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["isBuff"] = true;
               ["refreshThreshold"] = 0;
               ["invert"] = true;
               ["stackCount"] = 0;
               ["playerIsCaster"] = true;
               ["auraName"] = "Heroism";
               ["filterType"] = "auras";
            };
         };
      };
      [4] = {
         ["name"] = "Usable";
         ["spellId"] = 121818;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [5] = {
         ["name"] = "Usable";
         ["spellId"] = 53301;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [6] = {
         ["name"] = "Usable";
         ["spellId"] = 53351;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [7] = {
         ["name"] = "Usable";
         ["spellId"] = 3044;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [8] = {
         ["name"] = "Usable";
         ["spellId"] = 77767;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [10] = {
         ["spellId"] = 120360;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [12] = {
         ["spellId"] = 53301;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [14] = {
         ["spellId"] = 3044;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [16] = {
         ["spellId"] = 53351;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [20] = {
         ["spellId"] = 109215;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [24] = {
         ["spellId"] = 82726;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [28] = {
         ["name"] = "Focus Dump";
         ["spellId"] = 3044;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["threshold"] = 73;
               ["invert"] = false;
               ["filterType"] = "power";
            };
         };
      };
      [32] = {
         ["name"] = "Dire Beast";
         ["spellId"] = 117050;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["talentNum"] = 11;
               ["filterType"] = "talent";
            };
         };
      };
      [33] = {
         ["name"] = "Lynx Rush";
         ["spellId"] = 120697;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["talentNum"] = 15;
               ["filterType"] = "talent";
            };
         };
      };
      [17] = {
         ["spellId"] = 77767;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [21] = {
         ["spellId"] = 109248;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [25] = {
         ["spellId"] = 131894;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [29] = {
         ["name"] = "Usable";
         ["spellId"] = 34026;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [34] = {
         ["name"] = "Dire Beast";
         ["spellId"] = 120679;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["talentNum"] = 11;
               ["filterType"] = "talent";
            };
         };
      };
      [35] = {
         ["name"] = "Usable";
         ["spellId"] = 82692;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [11] = {
         ["spellId"] = 121818;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [13] = {
         ["spellId"] = 53351;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [15] = {
         ["spellId"] = 77767;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [18] = {
         ["spellId"] = 120679;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [22] = {
         ["spellId"] = 120360;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [30] = {
         ["name"] = "Glaive Toss";
         ["spellId"] = 117050;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["talentNum"] = 16;
               ["filterType"] = "talent";
            };
         };
      };
      [36] = {
         ["name"] = "Frenzy";
         ["spellId"] = 82692;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["isBuff"] = true;
               ["refreshThreshold"] = 0;
               ["invert"] = true;
               ["stackCount"] = 5;
               ["playerIsCaster"] = true;
               ["auraName"] = "Frenzy";
               ["filterType"] = "auras";
            };
         };
      };
      [37] = {
         ["name"] = "Thrill of the Hunt";
         ["spellId"] = 3044;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["isBuff"] = true;
               ["refreshThreshold"] = 0;
               ["invert"] = false;
               ["stackCount"] = 0;
               ["playerIsCaster"] = true;
               ["auraName"] = "";
               ["filterType"] = "auras";
            };
         };
      };
      [31] = {
         ["name"] = "LynX Rush";
         ["spellId"] = 117050;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["talentNum"] = 15;
               ["filterType"] = "talent";
            };
         };
      };
      [1] = {
         ["name"] = "Usable";
         ["spellId"] = 3674;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
         };
      };
      [19] = {
         ["spellId"] = 120697;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [23] = {
         ["spellId"] = 117050;
         ["name"] = "Usable";
         ["filters"] = {
            [1] = {
               ["filterType"] = "usability";
               ["ignore"] = false;
            };
         };
      };
      [39] = {
         ["name"] = "Trinket";
         ["spellId"] = 121818;
         ["filters"] = {
            [1] = {
               ["ignore"] = false;
               ["filterType"] = "usability";
            };
            [2] = {
               ["isBuff"] = true;
               ["refreshThreshold"] = 0;
               ["invert"] = true;
               ["stackCount"] = 0;
               ["playerIsCaster"] = true;
               ["auraName"] = "Dextrous";
               ["filterType"] = "auras";
            };
         };
      };
   };
};
